Loading...
Searching...
No Matches
oval_sysinfo Struct Reference
OVAL » OVALSYS

General instrumented host description. More...

`#include <oval_system_characteristics.h>`

Collaboration diagram for oval_sysinfo:
[legend]

## Public Member Functions

OSCAP_API struct oval_sysinfo * | oval_sysinfo_new (struct oval_syschar_model *)
OSCAP_API struct oval_sysinfo * | oval_sysinfo_clone (struct oval_syschar_model *new_model, struct oval_sysinfo *old_sysinfo)
OSCAP_API void | oval_sysinfo_free (struct oval_sysinfo *)
Setters
OSCAP_API void | oval_sysinfo_set_os_name (struct oval_sysinfo *, char *)
OSCAP_API void | oval_sysinfo_set_os_version (struct oval_sysinfo *, char *)
OSCAP_API void | oval_sysinfo_set_os_architecture (struct oval_sysinfo *, char *)
OSCAP_API void | oval_sysinfo_set_primary_host_name (struct oval_sysinfo *, char *)
OSCAP_API void | oval_sysinfo_add_interface (struct oval_sysinfo *, struct oval_sysint *)
Getters
OSCAP_API char * | oval_sysinfo_get_os_name (struct oval_sysinfo *)
| Get operating system name.
OSCAP_API char * | oval_sysinfo_get_os_version (struct oval_sysinfo *)
| Get operating system version.
OSCAP_API char * | oval_sysinfo_get_os_architecture (struct oval_sysinfo *)
| Get operating system architecture.
OSCAP_API char * | oval_sysinfo_get_primary_host_name (struct oval_sysinfo *)
| Get primary host name of the tested machine.
OSCAP_API struct oval_sysint_iterator * | oval_sysinfo_get_interfaces (struct oval_sysinfo *)
| Get an iterator to the list of network interfaces.

## Data Fields

struct oval_syschar_model * | model
char * | osName
char * | osVersion
char * | osArchitecture
char * | primaryHostName
struct oval_collection * | interfaces
char * | anyxml

## Detailed Description

General instrumented host description.

Instances of Oval_sysinfo specify general information about instrumented host systems, including information that can be used to identify the system.

The documentation for this struct was generated from the following files:

- oval_sysInfo.c
- oval_system_characteristics.h